# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-python
BuildRequires: python-devel
# END SourceDeps(oneline)
%define oldname python-catwalk
%define fedora 25
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
%if 0%{?fedora} < 13 || 0%{?rhel} < 6
%{!?python_sitelib: %global python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}
%endif

Name:           python-module-catwalk
Version:        2.0.2
Release:        alt1_13
Summary:        A way to view your models using TurboGears

Group:          Development/Other
License:        MIT
URL:            http://code.google.com/p/tgtools/wiki/Catwalk
Source0:        http://pypi.python.org/packages/source/C/Catwalk/Catwalk-%{version}.tar.gz
BuildArch:      noarch

%if 0%{?fedora} < 13
BuildRequires:  python-module-distribute
%else
BuildRequires: python-module-setuptools
%endif
BuildRequires:  python-module-nose python-module-sprox python-module-tgext-admin
Requires:       python-module-sprox python-module-tgext-admin

%description
Catwalk is a database manipulation application built on top of TurboGears.
With it you can easily interact with your application data model and manage
your data.


%prep
%setup -q -n Catwalk-%{version}


%build
%{__python} setup.py build


%install
%{__python} setup.py install --skip-build --root %{buildroot}


# Disabled until chameleon.genshi is packaged
#%check
#PYTHONPATH=$(pwd) nosetests


%files
%doc
%{python_sitelibdir_noarch}/Catwalk*
%{python_sitelibdir_noarch}/catwalk/


%changelog
* Wed Mar 15 2017 Igor Vlasenko <viy@altlinux.ru> 2.0.2-alt1_13
- update to new release by fcimport

* Fri Sep 30 2016 Igor Vlasenko <viy@altlinux.ru> 2.0.2-alt1_12
- update to new release by fcimport

* Wed Mar 02 2016 Igor Vlasenko <viy@altlinux.ru> 2.0.2-alt1_11
- update to new release by fcimport

* Mon Sep 21 2015 Igor Vlasenko <viy@altlinux.ru> 2.0.2-alt1_10
- update to new release by fcimport

* Mon Jul 07 2014 Igor Vlasenko <viy@altlinux.ru> 2.0.2-alt1_9
- update to new release by fcimport

* Mon Sep 02 2013 Igor Vlasenko <viy@altlinux.ru> 2.0.2-alt1_8
- update to new release by fcimport

* Thu Feb 21 2013 Igor Vlasenko <viy@altlinux.ru> 2.0.2-alt1_7
- update to new release by fcimport

* Tue Jan 08 2013 Igor Vlasenko <viy@altlinux.ru> 2.0.2-alt1_6
- initial fc import

